<div class="calendar">
    <app-month-selector></app-month-selector>
    <table>
        <thead>
            <tr>
                <th>Пн.</th>
                <th>Вт.</th>
                <th>Ср.</th>
                <th>Чт.</th>
                <th>Пт.</th>
                <th>Сб.</th>
                <th>Вс.</th>
            </tr>
        </thead>

        <tbody>
            <tr *ngFor="let week of calendar">
                <td
                    cdkDropList
                    (cdkDropListDropped)="drop($event, day.value)"
                    (cdkDropListEntered)="cdkDropListEntered($event)"
                    (cdkDropListExited)="cdkDropListExited($event)"
                    *ngFor="let day of week.days"
                    [class.disabled]="day.disabled"
                    [class.selected]="day.selected"
                    (click)="dateService.setDate(day.value)"
                >
                    <span
                        [class.today]="day.today"
                        [class.tasksUndone]="day.tasksUndone"
                        [class.tasksDone]="day.tasksDone"
                        [class.tasksExpired]="day.tasksExpired"
                    >
                        {{ day.value | moment:'DD'}}
                    </span>
                </td>
            </tr>
        </tbody>
    </table>

</div>